com.informix.asf

## Class CSMBufferedInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - java.io.BufferedInputStream
      - - com.informix.asf.CSMBufferedInputStream

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

    public class CSMBufferedInputStream
    extends java.io.BufferedInputStream

### Field Summary

### Fields inherited from class java.io.BufferedInputStream

`buf, count, marklimit, markpos, pos`

### Fields inherited from class java.io.FilterInputStream

`in`

### Constructor Summary

Constructors
Constructor and Description
`CSMBufferedInputStream(IfxDataInputStream Is, CSMspwd csm)`
`CSMBufferedInputStream(IfxDataInputStream Is, int size, CSMspwd csm)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `available()`
`java.lang.String` `getClientLocale()` Return the class variable ClientLocale.
`int` `read()`
`int` `read(byte[] b, int off, int len)`
`void` `setClientLocale(java.lang.String loc)` Set the class variable ClientLocale.
`long` `skip(long n)`

### Methods inherited from class java.io.BufferedInputStream

`close, mark, markSupported, reset`

### Methods inherited from class java.io.FilterInputStream

`read`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CSMBufferedInputStream

    public CSMBufferedInputStream(IfxDataInputStream Is,
                                  CSMspwd csm)

#### CSMBufferedInputStream

    public CSMBufferedInputStream(IfxDataInputStream Is,
                                  int size,
                                  CSMspwd csm)

### Method Detail

#### read

    public int read()
             throws java.io.IOException

Overrides:
  `read` in class `java.io.BufferedInputStream`
Throws:
  `java.io.IOException`

#### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.BufferedInputStream`
Throws:
  `java.io.IOException`

#### skip

    public long skip(long n)
              throws java.io.IOException

Overrides:
  `skip` in class `java.io.BufferedInputStream`
Throws:
  `java.io.IOException`

#### available

    public int available()
                  throws java.io.IOException

Overrides:
  `available` in class `java.io.BufferedInputStream`
Throws:
  `java.io.IOException`

#### setClientLocale

    public void setClientLocale(java.lang.String loc)

Set the class variable ClientLocale. ClientLocale is the locale of any exception/error output. null defaults to the default (English).

Parameters:
  `loc` -

#### getClientLocale

    public java.lang.String getClientLocale()

Return the class variable ClientLocale. ClientLocale is the locale of any exception/error output.

Parameters:
  `loc` -